"""==============================================================
با فرض اینکه ۱۰۰ اسم قبلاً در آرایه ۱۰۰ عنصری A ذخیره شده است و به
صورت الفبایی نگهداری می شود.منطق برنامه ای را طراحی کنید که ۱۰ اسم
را بخواند و انها را در ارایه جستجو کند و در صورت موجود بودن آنها را
از آرایه حذف کند به گونه ای که جای عناصر حذف شده در آرایه خالی نماند
و در صورت موجود نبودن اسمی پیامی را چاپ کند
=============================================================="""

A = ["A","B","C"]

for i in range(1,3):
    print("Please enter name",i)
    name = input("==> ")
    key = False
    for i in range(len(A)):
        if name == A[i]:
            key = True
            index = i
    if key == True:
        A[index] = 0
    else:
        print("چنین داده ای نیست")

print(A)